I need to buy a new printer that is compatible with an iBook, Mac OS X 10.4.11. Will this work with it?

Is this compatible?

  • Asked by Sandra B from Bethlehem
  • 7/10/2012
Epson Expression Home XP-400 Small-in-One Printer

Epson Expression Home XP-400 Small-in-One Printer

Product No Longer Available

3 Answers from the Community

  • Best Answer:

    No - minimum OS version per the website is 10.5.8. You may be able to get it to work using another driver, but you're best off looking for a compatible printer, or - even better, use a newer OS than OSX Tiger.

    • Answered by John B from Palm Harbor
    • 1/11/2012
  • as per the tech specs the lowest version of OSX that is supported is

    Mac OS X v10.5.8

    So best to upgrade that very old mac now i doubt you will be able to find a new printer that has software for the old PPC stuff

    • Answered by Michael P from Calgary
    • 2/11/2012
  • I tried to install this printer on a G5 running OS 10.5.8 but had difficulty finding a driver. It did not install.

    • Answered by Edward B
    • 23/11/2012